"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const runner_1 = require("tslint/lib/runner");
class TsLintRunner {
    constructor(config) {
        this.config = config;
    }
    run() {
        runner_1.run(this.config, console)
            .then(returnCode => process.exitCode = returnCode)
            .catch(error => {
            console.error(error);
            process.exitCode = 1;
        });
    }
}
exports.TsLintRunner = TsLintRunner;
