"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ForkTsCheckerNotifierWebpackPlugin = require("fork-ts-checker-notifier-webpack-plugin");
const WebpackNotifierPlugin = require("webpack-notifier");
exports.buildNotificationsConfigLayer = () => {
    return {
        plugins: [
            new ForkTsCheckerNotifierWebpackPlugin({
                title: "FFBT Type Checker",
                skipFirstNotification: true,
                skipSuccessful: true,
            }),
            new WebpackNotifierPlugin({
                title: "FFBT",
                alwaysNotify: true,
                excludeWarnings: true,
            }),
        ]
    };
};
