"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_webpack_command_1 = require("../base-webpack-command");
const make_bundle_1 = require("../../services/webpack/runner/make-bundle");
class BuildCommand extends base_webpack_command_1.BaseWebpackCommand {
    getDefaultEnvironment() {
        return "production";
    }
    getWebpackRunner(webpackConfig) {
        return new make_bundle_1.MakeBundleStrategy(webpackConfig);
    }
}
exports.default = BuildCommand;
BuildCommand.description = "create an application bundle (for production, for example)";
BuildCommand.args = base_webpack_command_1.BaseWebpackCommand.args;
BuildCommand.flags = base_webpack_command_1.BaseWebpackCommand.flags;
