"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const output_1 = require("../utils/output");
class MakeBundleStrategy {
    constructor(webpackConfig) {
        this.webpackConfig = webpackConfig;
    }
    run() {
        const compiler = webpack(this.webpackConfig);
        compiler.run((err, stats) => {
            output_1.printVerboseWebpackStats(err, stats);
            console.log("\nDone 🍺🍺🍺\n");
        });
    }
}
exports.MakeBundleStrategy = MakeBundleStrategy;
